Monday, January 22, 2018

Building AOSP on Mac: Could not find a supported mac sdk: ["10.10" "10.11" "10.12"]


To build Android on MacBookPro High Sierra, I had to overcome few obstacles.
I looked up the MacOS SDK version, I am currently running:
$ ls /Applications/XCode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/
MacOSX.sdk  

MacOSX10.13.sdk

$ edit build/soong/cc/config/x86_darwin_host.go

Then changed build/soong/cc/config/x86_darwin_host.go to:

line 92, add "10.13",
 darwinSupportedSdkVersions = []string{
  "10.10",
  "10.11",
  "10.12",
  "10.13",
 }
Also, tried previous SDKs:
$ cd /Applications/XCode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs



$ git clone https://github.com/phracker/MacOSX-SDKs.git

copy directories into:


/Applications/XCode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs

uki 10:44 SDKs $ list

MacOSX.sdk/

MacOSX10.11.sdk/

MacOSX10.12.sdk/

MacOSX10.13.sdk

uki 10:44 SDKs $